/*  */
function mode_delete_detail(path, sval, mode, ERI, mtype) {
	// 刪除前檢查 
	if(!mode_delete_check(path, sval, mode, ERI)) return;
	if (confirm(return_language_str(path, sval, '', 'CONFIRM_TO_REMOVE_IT', '')+"?")) {
		loading_create('Y');
		var url = path+'core/cw5e_engine_detail.php?sid='+sval+'&parent='+EncodeURLutf8(path)+'&mode='+mode+'&act=del&ERI='+ERI;
		$.get(url, '', function(msg) {
			// console.log(msg);
			var ret_msg = JSON.parse(msg);
			if (ret_msg[0].result == 'false') {
				alert(ret_msg[0].message);
				loading_close('');
				return false;
			} else {
				//alert(return_language_str(path, sval, '', 'DATA_REMOVED', '')+"!");
				$('#colapi_search_'+mtype).collapsible('enable');
				eval('if (typeof search_submit_'+mtype+' == "function") search_submit_'+mtype+'();');
			}
		});
	}
}